Skip to main content
GET
/
v1
/
usage
/
anomalies
Get anomaly alerts
curl --request GET \
  --url https://api.strait.dev/v1/usage/anomalies \
  --header 'Authorization: Bearer <token>'
[
  {
    "avg_7d_spend": 123,
    "org_id": "<string>",
    "severity": "<string>",
    "spike_ratio": 123,
    "today_spend": 123,
    "top_contributor": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Query Parameters

org_id
string

Response

object[] | null

OK

avg_7d_spend
integer<int64>
required
org_id
string
required
severity
string
required
spike_ratio
number<double>
required
today_spend
integer<int64>
required
top_contributor
string
required